import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  path: z.string(),
  isActive: z.boolean().optional(),
  createdAt: z.coerce.date().optional()
}).strict();
export const BackupDestinationCreateManyInputObjectSchema: z.ZodType<Prisma.BackupDestinationCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationCreateManyInput>;
export const BackupDestinationCreateManyInputObjectZodSchema = makeSchema();
